{
  "storagedrawers:recipes/storagedrawers/one_stack_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/magnet_card": {
    "criteria": {
      "has_wct": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/diamond_storage_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/wireless_universal_terminal/upgrade_pattern_access": {
    "criteria": {
      "has_wit": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/crafting_table": {
    "criteria": {
      "unlock_right_away": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/illumination_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/acacia_trim": {
    "criteria": {
      "has_planks": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/crimson_trim": {
    "criteria": {
      "has_planks": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/wireless_universal_terminal/upgrade_pattern_encoding": {
    "criteria": {
      "has_wpt": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/wireless_universal_terminal/ce": {
    "criteria": {
      "has_wpt": "2024-05-23 18:32:57 -0400",
      "has_wct": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/wireless_universal_terminal/ca": {
    "criteria": {
      "has_wit": "2024-05-23 18:32:57 -0400",
      "has_wct": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/wireless_universal_terminal/upgrade_crafting": {
    "criteria": {
      "has_wct": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/wireless_universal_terminal/ae": {
    "criteria": {
      "has_wit": "2024-05-23 18:32:57 -0400",
      "has_wpt": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/concealment_key": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/wireless_pattern_access_terminal": {
    "criteria": {
      "has_wt": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/drawer_key": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/min_redstone_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/quantum_bridge_card": {
    "criteria": {
      "has_wit": "2024-05-23 18:32:57 -0400",
      "has_wpt": "2024-05-23 18:32:57 -0400",
      "has_wct": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/gold_storage_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/birch_trim": {
    "criteria": {
      "has_planks": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/void_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/warped_trim": {
    "criteria": {
      "has_planks": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/jungle_trim": {
    "criteria": {
      "has_planks": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/fill_level_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/max_redstone_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "lootr:root": {
    "criteria": {
      "always_true": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ae2wtlib:recipes/wireless_pattern_encoding_terminal": {
    "criteria": {
      "has_wt": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/redstone_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/spruce_trim": {
    "criteria": {
      "has_planks": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/quantify_key": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/dark_oak_trim": {
    "criteria": {
      "has_planks": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/oak_trim": {
    "criteria": {
      "has_planks": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "ironfurnaces:coal": {
    "criteria": {
      "rainbowcoal": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/emerald_storage_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/obsidian_storage_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/iron_storage_upgrade": {
    "criteria": {
      "has_template": "2024-05-23 18:32:57 -0400"
    },
    "done": true
  },
  "minecraft:adventure/adventuring_time": {
    "criteria": {
      "minecraft:old_growth_pine_taiga": "2024-05-26 17:07:03 -0400",
      "minecraft:mushroom_fields": "2024-05-23 19:54:00 -0400",
      "minecraft:taiga": "2024-05-23 18:32:58 -0400",
      "minecraft:frozen_river": "2024-05-23 20:52:53 -0400",
      "minecraft:windswept_hills": "2024-05-26 17:54:39 -0400",
      "minecraft:badlands": "2024-05-26 20:29:36 -0400",
      "minecraft:river": "2024-05-26 17:06:42 -0400",
      "minecraft:lukewarm_ocean": "2024-05-26 20:29:51 -0400",
      "minecraft:snowy_plains": "2024-05-23 21:34:00 -0400",
      "minecraft:stony_shore": "2024-05-26 20:29:45 -0400",
      "minecraft:snowy_taiga": "2024-05-23 20:51:40 -0400",
      "minecraft:forest": "2024-05-26 17:05:32 -0400",
      "minecraft:lush_caves": "2024-05-23 21:01:58 -0400",
      "minecraft:deep_cold_ocean": "2024-05-26 20:23:29 -0400",
      "minecraft:frozen_ocean": "2024-05-23 19:51:57 -0400",
      "minecraft:desert": "2024-05-26 20:24:12 -0400",
      "minecraft:deep_frozen_ocean": "2024-05-23 19:52:33 -0400",
      "minecraft:windswept_forest": "2024-05-23 20:59:54 -0400",
      "minecraft:old_growth_spruce_taiga": "2024-05-26 17:10:22 -0400",
      "minecraft:snowy_beach": "2024-05-23 20:13:11 -0400",
      "minecraft:warm_ocean": "2024-05-26 20:25:11 -0400",
      "minecraft:savanna": "2024-05-26 20:29:41 -0400",
      "minecraft:plains": "2024-05-26 17:55:35 -0400"
    },
    "done": false
  },
  "lootr:social": {
    "criteria": {
      "opened_chest": "2024-05-23 18:47:25 -0400",
      "opened_cart": "2024-05-26 17:58:11 -0400"
    },
    "done": false
  },
  "lootr:1chest": {
    "criteria": {
      "opened_chest": "2024-05-23 18:47:25 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/emerald_block": {
    "criteria": {
      "has_emerald": "2024-05-23 18:47:26 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/emerald/emerald_arrow": {
    "criteria": {
      "has_req": "2024-05-23 18:47:26 -0400"
    },
    "done": true
  },
  "buildinggadgets2:recipes/misc/gadget_copy_paste": {
    "criteria": {
      "has_emerald": "2024-05-23 18:47:26 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/redstone/redstone_arrow": {
    "criteria": {
      "has_req": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_torch": {
    "criteria": {
      "has_redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/target": {
    "criteria": {
      "has_redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "ae2:recipes/misc/network/cells/fluid_cell_housing": {
    "criteria": {
      "has_dusts/redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/compass": {
    "criteria": {
      "has_redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "ae2:recipes/misc/network/cables/smart_fluix": {
    "criteria": {
      "has_dusts/redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/campfire": {
    "criteria": {
      "has_coal": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "ae2:recipes/misc/network/cells/item_cell_housing": {
    "criteria": {
      "has_dusts/redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_block": {
    "criteria": {
      "has_redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "ae2:recipes/misc/network/cables/dense_smart_fluix": {
    "criteria": {
      "has_dusts/redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/coal/coal_arrow": {
    "criteria": {
      "has_req": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/clock": {
    "criteria": {
      "has_redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/note_block": {
    "criteria": {
      "has_redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coal_block": {
    "criteria": {
      "has_coal": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dropper": {
    "criteria": {
      "has_redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "trashcans:recipes/misc/energy_trash_can": {
    "criteria": {
      "recipe_condition": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/piston": {
    "criteria": {
      "has_redstone": "2024-05-23 18:47:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/bone_meal": {
    "criteria": {
      "has_bone": "2024-05-23 18:47:33 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/stone_gear_upgrade": {
    "criteria": {
      "has_ingredient": "2024-05-23 18:47:33 -0400"
    },
    "done": true
  },
  "armorplus:story/thank_you_6m": {
    "criteria": {
      "open_inventory": "2024-05-23 18:49:01 -0400"
    },
    "done": true
  },
  "armorplus:story/root": {
    "criteria": {
      "crafting_table": "2024-05-23 18:49:01 -0400"
    },
    "done": true
  },
  "minecraft:story/root": {
    "criteria": {
      "crafting_table": "2024-05-23 18:49:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_chromium_dust": {
    "criteria": {
      "has_ore": "2024-05-23 18:53:42 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/blast_chromium_dust": {
    "criteria": {
      "has_ore": "2024-05-23 18:53:42 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/chest": {
    "criteria": {
      "has_lots_of_items": "2024-05-23 18:53:43 -0400"
    },
    "done": true
  },
  "naturescompass:natures_compass": {
    "criteria": {
      "has_recipe": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/bit_storage": {
    "criteria": {
      "has_l": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/charcoal": {
    "criteria": {
      "has_log": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "naturescompass:natures_compass_log": {
    "criteria": {
      "has_log": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "naturescompass:natures_compass_sapling": {
    "criteria": {
      "has_recipe": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/chiseled_printer": {
    "criteria": {
      "has_l": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/modification_table": {
    "criteria": {
      "has_b": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_wood": {
    "criteria": {
      "has_log": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/stick": {
    "criteria": {
      "has_ingredient": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_planks": {
    "criteria": {
      "has_logs": "2024-05-23 19:26:36 -0400"
    },
    "done": true
  },
  "telepastries:recipes/transportation/overworld_cake": {
    "criteria": {
      "has_sapling": "2024-05-23 19:26:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/ladder": {
    "criteria": {
      "has_stick": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/emerald/emerald_sword": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/magnifying_glass": {
    "criteria": {
      "has_s": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_axe": {
    "criteria": {
      "has_stick": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_slave": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_half_four": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/redstone/redstone_pickaxe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/redstone/redstone_sword": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/chisel_diamond": {
    "criteria": {
      "has_rod": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/coal/coal_pickaxe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/lapis/lapis_pickaxe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_hoe": {
    "criteria": {
      "has_stick": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/wood_gear_corner": {
    "criteria": {
      "has_ingredient": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_shovel": {
    "criteria": {
      "has_stick": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/coal/coal_battle_axe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/wooden_sword": {
    "criteria": {
      "has_stick": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/chisel_gold": {
    "criteria": {
      "has_rod": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/lapis/lapis_sword": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_full_one": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "ae2:recipes/misc/network/blocks/crank": {
    "criteria": {
      "has_stick": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_trim": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_half_one": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/emerald/emerald_battle_axe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/redstone/redstone_battle_axe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/wood_gear": {
    "criteria": {
      "has_ingredient": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_drawer_controller": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_full_four": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/obsidian/obsidian_battle_axe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_compact_drawer": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/obsidian/obsidian_sword": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_pickaxe": {
    "criteria": {
      "has_stick": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/chisel_iron": {
    "criteria": {
      "has_rod": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_full_two": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/building_blocks/crafting/shapeless/wooden_rod_adv": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.items/crafting/shapeless/wooden_rod_adv": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "framedcompactdrawers:recipes/misc/framed_half_two": {
    "criteria": {
      "has_sticks": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/lapis/lapis_battle_axe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/obsidian/obsidian_pickaxe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/emerald/emerald_pickaxe": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/chisel_stone": {
    "criteria": {
      "has_rod": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/coal/coal_sword": {
    "criteria": {
      "has_req": "2024-05-23 19:27:04 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_stairs_from_deepslate_tiles_stonecutting": {
    "criteria": {
      "has_deepslate_tiles": "2024-05-23 19:29:06 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_tile_wall_from_deepslate_tiles_stonecutting": {
    "criteria": {
      "has_deepslate_tiles": "2024-05-23 19:29:06 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_tile_wall": {
    "criteria": {
      "has_deepslate_tiles": "2024-05-23 19:29:06 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cracked_deepslate_tiles": {
    "criteria": {
      "has_deepslate_tiles": "2024-05-23 19:29:06 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_slab_from_deepslate_tiles_stonecutting": {
    "criteria": {
      "has_deepslate_tiles": "2024-05-23 19:29:06 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_stairs": {
    "criteria": {
      "has_deepslate_tiles": "2024-05-23 19:29:06 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_slab": {
    "criteria": {
      "has_deepslate_tiles": "2024-05-23 19:29:06 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/smoker": {
    "criteria": {
      "has_furnace": "2024-05-23 19:29:08 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/stick": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/spruce_fence": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/spruce_limited_barrel_2": {
    "criteria": {
      "has_spruce_plank": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/spruce_limited_barrel_1": {
    "criteria": {
      "has_spruce_plank": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/spruce_limited_barrel_4": {
    "criteria": {
      "has_spruce_plank": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/spruce_limited_barrel_3": {
    "criteria": {
      "has_spruce_plank": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_button": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "framedblocks:recipes/building_blocks/framed_cube": {
    "criteria": {
      "hasPlanks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_pressure_plate": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/barrel": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/spruce_chest": {
    "criteria": {
      "has_spruce_plank": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/spruce_sign": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_slab": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/wrench": {
    "criteria": {
      "has_p": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_trapdoor": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_door": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_fence_gate": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/spruce_barrel": {
    "criteria": {
      "has_spruce_plank": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_stairs": {
    "criteria": {
      "has_planks": "2024-05-23 19:32:59 -0400"
    },
    "done": true
  },
  "constructionwand:recipes/tools/stone_wand": {
    "criteria": {
      "has_item": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:story/mine_stone": {
    "criteria": {
      "get_stone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/furnace": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/stone_gear": {
    "criteria": {
      "has_ingredient": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_pickaxe": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_shovel": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lever": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/stone_sword": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_axe": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_hoe": {
    "criteria": {
      "has_cobblestone": "2024-05-23 19:33:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/torch": {
    "criteria": {
      "has_stone_pickaxe": "2024-05-23 19:33:20 -0400"
    },
    "done": true
  },
  "minecraft:story/upgrade_tools": {
    "criteria": {
      "stone_pickaxe": "2024-05-23 19:33:20 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/basic_storage_container": {
    "criteria": {
      "item": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/acacia_drawers": {
    "criteria": {
      "has_chest": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/dark_oak_drawers": {
    "criteria": {
      "has_chest": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/warped_drawers": {
    "criteria": {
      "has_chest": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/oak_chest_from_vanilla_chest": {
    "criteria": {
      "has_vanilla_chest": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/oak_drawers": {
    "criteria": {
      "has_chest": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/jungle_drawers": {
    "criteria": {
      "has_chest": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/birch_drawers": {
    "criteria": {
      "has_chest": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/crimson_drawers": {
    "criteria": {
      "has_chest": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "storagedrawers:recipes/storagedrawers/spruce_drawers": {
    "criteria": {
      "has_chest": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "trashcans:recipes/misc/item_trash_can": {
    "criteria": {
      "recipe_condition": "2024-05-23 19:40:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/cherry_boat": {
    "criteria": {
      "in_water": "2024-05-23 19:53:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/bamboo_raft": {
    "criteria": {
      "in_water": "2024-05-23 19:53:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/acacia_boat": {
    "criteria": {
      "in_water": "2024-05-23 19:53:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/jungle_boat": {
    "criteria": {
      "in_water": "2024-05-23 19:53:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/spruce_boat": {
    "criteria": {
      "in_water": "2024-05-23 19:53:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/birch_boat": {
    "criteria": {
      "in_water": "2024-05-23 19:53:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/oak_boat": {
    "criteria": {
      "in_water": "2024-05-23 19:53:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/mangrove_boat": {
    "criteria": {
      "in_water": "2024-05-23 19:53:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/dark_oak_boat": {
    "criteria": {
      "in_water": "2024-05-23 19:53:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_basalt": {
    "criteria": {
      "has_basalt": "2024-05-23 19:58:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_basalt": {
    "criteria": {
      "has_basalt": "2024-05-23 19:58:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_basalt_from_basalt_stonecutting": {
    "criteria": {
      "has_basalt": "2024-05-23 19:58:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_ingot_from_blasting_raw_gold": {
    "criteria": {
      "has_raw_gold": "2024-05-23 19:59:35 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_ingot_from_smelting_raw_gold": {
    "criteria": {
      "has_raw_gold": "2024-05-23 19:59:35 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/raw_gold_block": {
    "criteria": {
      "has_raw_gold": "2024-05-23 19:59:35 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/fletching_table": {
    "criteria": {
      "has_flint": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/manufactory": {
    "criteria": {
      "item": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coarse_dirt": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/arrow": {
    "criteria": {
      "has_flint": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/flint_and_steel": {
    "criteria": {
      "has_flint": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/conduit_binder_composite": {
    "criteria": {
      "has_ingredient_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_concrete_powder": {
    "criteria": {
      "has_gravel": "2024-05-23 20:02:17 -0400"
    },
    "done": true
  },
  "ae2:recipes/misc/decorative/light_detector": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "constructionwand:recipes/tools/iron_wand": {
    "criteria": {
      "has_item": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_helmet": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/shears": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/iron_block": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/fluid_tank": {
    "criteria": {
      "has_ingredient": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/hopper": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_boots": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lantern": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_shovel": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/iron_trapdoor": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/crossbow": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/heavy_weighted_pressure_plate": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_leggings": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.items/crafting/shaped/enhanced/en_iron": {
    "criteria": {
      "has_req": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_chestplate": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/bucket": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "chiselsandbits:recipes/tools/measuring_tape": {
    "criteria": {
      "has_i": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/minecart": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_hoe": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/upgrade_base": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:story/smelt_iron": {
    "criteria": {
      "iron": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/chain": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/smithing_table": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_sword": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_pickaxe": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/shield": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/iron_bars": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "hangglider:recipes/tools/glider_framework": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_axe": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/pressurized_fluid_tank": {
    "criteria": {
      "has_ingredient": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/iron_door": {
    "criteria": {
      "has_iron_ingot": "2024-05-23 20:20:26 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/blast_silver_raw": {
    "criteria": {
      "has_ore": "2024-05-23 20:53:25 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_silver_raw": {
    "criteria": {
      "has_ore": "2024-05-23 20:53:25 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_lead_raw": {
    "criteria": {
      "has_ore": "2024-05-23 20:53:28 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/blast_lead_raw": {
    "criteria": {
      "has_ore": "2024-05-23 20:53:28 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_slab": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_brick_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_tile_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_deepslate_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobbled_deepslate_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobbled_deepslate_wall": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/polished_deepslate_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_stairs": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_bricks_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tiles_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2024-05-23 21:00:21 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/bricks/red_stone_brick": {
    "criteria": {
      "has_req": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs": {
    "criteria": {
      "has_stone_bricks": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/bricks/black_stone_brick": {
    "criteria": {
      "has_req": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/bricks/white_stone_brick": {
    "criteria": {
      "has_req": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab": {
    "criteria": {
      "has_stone_bricks": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/bricks/orange_stone_brick": {
    "criteria": {
      "has_req": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_wall": {
    "criteria": {
      "has_stone_bricks": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cracked_stone_bricks": {
    "criteria": {
      "has_stone_bricks": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/bricks/green_stone_brick": {
    "criteria": {
      "has_req": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks": {
    "criteria": {
      "has_tag": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_wall_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/bricks/purple_stone_brick": {
    "criteria": {
      "has_req": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/bricks/blue_stone_brick": {
    "criteria": {
      "has_req": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/bricks/yellow_stone_brick": {
    "criteria": {
      "has_req": "2024-05-23 21:00:52 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/activator_rail": {
    "criteria": {
      "has_rail": "2024-05-23 21:00:54 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/powered_rail": {
    "criteria": {
      "has_rail": "2024-05-23 21:00:54 -0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/detector_rail": {
    "criteria": {
      "has_rail": "2024-05-23 21:00:54 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/copper_ingot_from_blasting_raw_copper": {
    "criteria": {
      "has_raw_copper": "2024-05-23 21:02:43 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/raw_copper_block": {
    "criteria": {
      "has_raw_copper": "2024-05-23 21:02:43 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/copper_ingot_from_smelting_raw_copper": {
    "criteria": {
      "has_raw_copper": "2024-05-23 21:02:43 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/raw_iron_block": {
    "criteria": {
      "has_raw_iron": "2024-05-23 21:02:51 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_ingot_from_blasting_raw_iron": {
    "criteria": {
      "has_raw_iron": "2024-05-23 21:02:51 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_ingot_from_smelting_raw_iron": {
    "criteria": {
      "has_raw_iron": "2024-05-23 21:02:51 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/coil_copper": {
    "criteria": {
      "item": "2024-05-23 21:10:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lightning_rod": {
    "criteria": {
      "has_copper_ingot": "2024-05-23 21:10:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/copper_block": {
    "criteria": {
      "has_copper_ingot": "2024-05-23 21:10:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/brush": {
    "criteria": {
      "has_copper_ingot": "2024-05-23 21:10:10 -0400"
    },
    "done": true
  },
  "ae2:main/root": {
    "criteria": {
      "copper": "2024-05-23 21:10:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget_from_smelting": {
    "criteria": {
      "has_iron_pickaxe": "2024-05-23 21:14:04 -0400"
    },
    "done": true
  },
  "minecraft:story/iron_tools": {
    "criteria": {
      "iron_pickaxe": "2024-05-23 21:14:04 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget_from_blasting": {
    "criteria": {
      "has_iron_pickaxe": "2024-05-23 21:14:04 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_axe": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_pickaxe": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_nugget": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_shovel": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/food/golden_apple": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_boots": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_chestplate": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/light_weighted_pressure_plate": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_sword": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gold_block": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.items/crafting/shaped/enhanced/en_gold": {
    "criteria": {
      "has_req": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_helmet": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_hoe": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_leggings": {
    "criteria": {
      "has_gold_ingot": "2024-05-23 21:14:10 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_stairs_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_button": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_pressure_plate": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_stairs": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stonecutter": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_stone": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_walls_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks_stone_from_stonecutting": {
    "criteria": {
      "has_stone": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/soul_box_adv": {
    "criteria": {
      "has_req": "2024-05-23 21:21:00 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/composter": {
    "criteria": {
      "has_wood_slab": "2024-05-23 21:22:14 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/spruce_barrel_from_vanilla_barrel": {
    "criteria": {
      "has_vanilla_barrel": "2024-05-23 21:22:18 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/basic_to_diamond_tier_upgrade": {
    "criteria": {
      "has_basic_to_gold_tier_upgrade": "2024-05-23 21:23:06 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lectern": {
    "criteria": {
      "has_book": "2024-05-23 21:27:25 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/writable_book": {
    "criteria": {
      "has_book": "2024-05-23 21:27:25 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bookshelf": {
    "criteria": {
      "has_book": "2024-05-23 21:27:25 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_bookshelf": {
    "criteria": {
      "has_book": "2024-05-23 21:27:25 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/enchanter": {
    "criteria": {
      "has_ingredient": "2024-05-23 21:27:25 -0400"
    },
    "done": true
  },
  "sophisticatedbackpacks:recipes/misc/iron_backpack_from_copper": {
    "criteria": {
      "has_copper_backpack": "2024-05-23 21:28:32 -0400"
    },
    "done": true
  },
  "wirelesschargers:recipes/misc/basic_wireless_block_charger": {
    "criteria": {
      "recipe_condition": "2024-05-23 21:29:58 -0400"
    },
    "done": true
  },
  "buildinggadgets2:recipes/misc/gadget_destruction": {
    "criteria": {
      "has_ender_pearl": "2024-05-23 21:29:58 -0400"
    },
    "done": true
  },
  "javd:recipes/transportation/portal_block": {
    "criteria": {
      "has_ender_pearl": "2024-05-23 21:29:58 -0400"
    },
    "done": true
  },
  "wirelesschargers:recipes/misc/basic_wireless_player_charger": {
    "criteria": {
      "recipe_condition": "2024-05-23 21:29:58 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_glazed_terracotta": {
    "criteria": {
      "has_gray_terracotta": "2024-05-23 21:30:06 -0400"
    },
    "done": true
  },
  "sophisticatedbackpacks:recipes/misc/magnet_upgrade": {
    "criteria": {
      "has_pickup_upgrade": "2024-05-23 21:31:24 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/storage_pickup_upgrade_from_backpack_pickup_upgrade": {
    "criteria": {
      "has_backpack_upgrade": "2024-05-23 21:31:24 -0400"
    },
    "done": true
  },
  "sophisticatedbackpacks:recipes/misc/advanced_pickup_upgrade": {
    "criteria": {
      "has_pickup_upgrade": "2024-05-23 21:31:24 -0400"
    },
    "done": true
  },
  "lootr:10loot": {
    "criteria": {
      "loot_stat": "2024-05-23 21:32:42 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/plate_basic": {
    "criteria": {
      "item": "2024-05-23 21:39:37 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/plate_basic2": {
    "criteria": {
      "item": "2024-05-23 21:39:37 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_glazed_terracotta": {
    "criteria": {
      "has_white_terracotta": "2024-05-23 22:00:16 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/glass": {
    "criteria": {
      "has_smelts_to_glass": "2024-05-23 22:00:20 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone": {
    "criteria": {
      "has_sand": "2024-05-23 22:00:20 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lapis_block": {
    "criteria": {
      "has_lapis_lazuli": "2024-05-23 22:03:36 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/lapis/lapis_arrow": {
    "criteria": {
      "has_req": "2024-05-23 22:03:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/blue_dye": {
    "criteria": {
      "has_lapis_lazuli": "2024-05-23 22:03:36 -0400"
    },
    "done": true
  },
  "minecraft:story/enchant_item": {
    "criteria": {
      "enchanted_item": "2024-05-23 22:03:40 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/armor_stand": {
    "criteria": {
      "has_stone_slab": "2024-05-25 17:37:47 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/blast_tin_raw": {
    "criteria": {
      "has_ore": "2024-05-25 17:38:55 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_tin_raw": {
    "criteria": {
      "has_ore": "2024-05-25 17:38:55 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/blast_tin_ore": {
    "criteria": {
      "has_ore": "2024-05-25 17:39:14 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_tin_ore": {
    "criteria": {
      "has_ore": "2024-05-25 17:39:14 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/copper_to_iron_tier_upgrade": {
    "criteria": {
      "has_redstone_torch": "2024-05-26 17:04:41 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/basic_to_copper_tier_upgrade": {
    "criteria": {
      "has_redstone_torch": "2024-05-26 17:04:41 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/repeater": {
    "criteria": {
      "has_redstone_torch": "2024-05-26 17:04:41 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/basic_tier_upgrade": {
    "criteria": {
      "has_redstone_torch": "2024-05-26 17:04:41 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/iron_to_gold_tier_upgrade": {
    "criteria": {
      "has_redstone_torch": "2024-05-26 17:04:41 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/gold_to_diamond_tier_upgrade": {
    "criteria": {
      "has_redstone_torch": "2024-05-26 17:04:41 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/storage_tool": {
    "criteria": {
      "has_redstone_torch": "2024-05-26 17:04:41 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/basic_to_iron_tier_upgrade": {
    "criteria": {
      "has_redstone_torch": "2024-05-26 17:04:41 -0400"
    },
    "done": true
  },
  "sophisticatedstorage:recipes/misc/diamond_to_netherite_tier_upgrade": {
    "criteria": {
      "has_redstone_torch": "2024-05-26 17:04:41 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_bricks": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_quartz_block_from_quartz_block_stonecutting": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_slab_from_stonecutting": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_pillar_from_quartz_block_stonecutting": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_pillar": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_stairs_from_quartz_block_stonecutting": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_quartz": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "laserio:recipes/misc/logic_chip_raw": {
    "criteria": {
      "has_quartz": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_quartz_block": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_bricks_from_quartz_block_stonecutting": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:18 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_slab": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:19 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_stairs": {
    "criteria": {
      "has_quartz_block": "2024-05-26 17:05:19 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/clay": {
    "criteria": {
      "has_clay_ball": "2024-05-26 17:08:37 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/brick": {
    "criteria": {
      "has_clay_ball": "2024-05-26 17:08:37 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/conduit_binder_from_blasting": {
    "criteria": {
      "has_ingredient": "2024-05-26 17:11:06 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/conduit_binder_from_smelting": {
    "criteria": {
      "has_ingredient": "2024-05-26 17:11:06 -0400"
    },
    "done": true
  },
  "enderio:recipes/building_blocks/item_conduit": {
    "criteria": {
      "has_ingredient": "2024-05-26 17:13:10 -0400"
    },
    "done": true
  },
  "enderio:recipes/building_blocks/basic_item_filter": {
    "criteria": {
      "has_ingredient": "2024-05-26 17:13:10 -0400"
    },
    "done": true
  },
  "enderio:recipes/building_blocks/energy_conduit": {
    "criteria": {
      "has_ingredient": "2024-05-26 17:13:10 -0400"
    },
    "done": true
  },
  "enderio:recipes/building_blocks/fluid_conduit": {
    "criteria": {
      "has_ingredient": "2024-05-26 17:13:10 -0400"
    },
    "done": true
  },
  "enderio:recipes/building_blocks/big_item_filter": {
    "criteria": {
      "has_ingredient": "2024-05-26 17:13:10 -0400"
    },
    "done": true
  },
  "enderio:recipes/building_blocks/redstone_conduit": {
    "criteria": {
      "has_ingredient": "2024-05-26 17:13:10 -0400"
    },
    "done": true
  },
  "trashcans:recipes/misc/liquid_trash_can": {
    "criteria": {
      "recipe_condition": "2024-05-26 17:20:06 -0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/cauldron": {
    "criteria": {
      "has_water_bucket": "2024-05-26 17:20:27 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_from_moss_block": {
    "criteria": {
      "has_moss_block": "2024-05-26 17:23:24 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/moss_carpet": {
    "criteria": {
      "has_moss_block": "2024-05-26 17:23:24 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_bricks_from_moss_block": {
    "criteria": {
      "has_moss_block": "2024-05-26 17:23:24 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_sword": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/jukebox": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_chestplate": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_pickaxe": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_hoe": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_shovel": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "constructionwand:recipes/tools/diamond_wand": {
    "criteria": {
      "has_item": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_helmet": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diamond_block": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:story/mine_diamond": {
    "criteria": {
      "diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_leggings": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.items/crafting/shaped/enhanced/en_diamond": {
    "criteria": {
      "has_req": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_boots": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "buildinggadgets2:recipes/misc/gadget_building": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "buildinggadgets2:recipes/misc/gadget_exchanging": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_axe": {
    "criteria": {
      "has_diamond": "2024-05-26 17:30:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/blue_dye_from_cornflower": {
    "criteria": {
      "has_cornflower": "2024-05-26 17:48:27 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/flower_banner_pattern": {
    "criteria": {
      "has_oxeye_daisy": "2024-05-26 17:48:46 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_oxeye_daisy": {
    "criteria": {
      "has_oxeye_daisy": "2024-05-26 17:48:46 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/white_dye": {
    "criteria": {
      "has_bone_meal": "2024-05-26 17:52:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bone_block": {
    "criteria": {
      "has_bone_meal": "2024-05-26 17:52:38 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_stone_brick_wall": {
    "criteria": {
      "has_mossy_stone_bricks": "2024-05-26 17:55:05 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_slab": {
    "criteria": {
      "has_mossy_stone_bricks": "2024-05-26 17:55:05 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_stairs_from_mossy_stone_brick_stonecutting": {
    "criteria": {
      "has_mossy_stone_bricks": "2024-05-26 17:55:05 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_slab_from_mossy_stone_brick_stonecutting": {
    "criteria": {
      "has_mossy_stone_bricks": "2024-05-26 17:55:05 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_stairs": {
    "criteria": {
      "has_mossy_stone_bricks": "2024-05-26 17:55:05 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_stone_brick_wall_from_mossy_stone_brick_stonecutting": {
    "criteria": {
      "has_mossy_stone_bricks": "2024-05-26 17:55:05 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_helmet": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_chestplate": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/leather_horse_armor": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "sophisticatedbackpacks:recipes/misc/backpack": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_beef_from_smoking": {
    "criteria": {
      "has_beef": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "hangglider:recipes/tools/glider_wing": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/item_frame": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "minecraft:adventure/root": {
    "criteria": {
      "killed_something": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_boots": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_beef": {
    "criteria": {
      "has_beef": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_leggings": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "toolbelt:recipes/pouch": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "toolbelt:recipes/belt": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "sophisticatedbackpacks:recipes/misc/upgrade_base": {
    "criteria": {
      "has_leather": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_beef_from_campfire_cooking": {
    "criteria": {
      "has_beef": "2024-05-26 17:55:56 -0400"
    },
    "done": true
  },
  "lootr:1cart": {
    "criteria": {
      "opened_cart": "2024-05-26 17:58:11 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_glazed_terracotta": {
    "criteria": {
      "has_light_gray_terracotta": "2024-05-26 18:41:36 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_glazed_terracotta": {
    "criteria": {
      "has_orange_terracotta": "2024-05-26 18:46:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_glazed_terracotta": {
    "criteria": {
      "has_yellow_terracotta": "2024-05-26 18:46:45 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/basic_rf_amplifier": {
    "criteria": {
      "item": "2024-05-26 19:53:33 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/turbine_steel_rotor_blade": {
    "criteria": {
      "item": "2024-05-26 20:20:47 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_steel_plate": {
    "criteria": {
      "has_ore": "2024-05-26 20:20:47 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_steel_dust": {
    "criteria": {
      "has_ore": "2024-05-26 20:21:03 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/blast_steel_dust": {
    "criteria": {
      "has_ore": "2024-05-26 20:21:03 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sea_lantern": {
    "criteria": {
      "has_prismarine_crystals": "2024-05-26 20:23:23 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/paper": {
    "criteria": {
      "has_reeds": "2024-05-26 20:24:22 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/sugar_from_sugar_cane": {
    "criteria": {
      "has_sugar_cane": "2024-05-26 20:24:22 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/coast_armor_trim_smithing_template": {
    "criteria": {
      "has_coast_armor_trim_smithing_template": "2024-05-26 20:25:22 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/coast_armor_trim_smithing_template_smithing_trim": {
    "criteria": {
      "has_smithing_trim_template": "2024-05-26 20:25:22 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_sandstone": {
    "criteria": {
      "has_sand": "2024-05-26 20:28:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_ingot_from_gold_block": {
    "criteria": {
      "has_gold_block": "2024-05-26 20:28:40 -0400"
    },
    "done": true
  },
  "telepastries:recipes/transportation/nether_cake": {
    "criteria": {
      "has_obsidian": "2024-05-26 20:28:45 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.weapons/crafting/shaped/obsidian/obsidian_arrow": {
    "criteria": {
      "has_req": "2024-05-26 20:28:45 -0400"
    },
    "done": true
  },
  "minecraft:story/form_obsidian": {
    "criteria": {
      "obsidian": "2024-05-26 20:28:45 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.items/crafting/shapeless/obsidian_stick_adv": {
    "criteria": {
      "has_req": "2024-05-26 20:28:45 -0400"
    },
    "done": true
  },
  "armorplus:recipes/building_blocks/crafting/shapeless/obsidian_stick_adv": {
    "criteria": {
      "has_req": "2024-05-26 20:28:45 -0400"
    },
    "done": true
  },
  "armorplus:recipes/armorplus.blocks/crafting/shaped/storage/compressed_obsidian": {
    "criteria": {
      "has_req": "2024-05-26 20:28:45 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/enchanting_table": {
    "criteria": {
      "has_obsidian": "2024-05-26 20:28:45 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/book": {
    "criteria": {
      "has_paper": "2024-05-26 20:31:07 -0400"
    },
    "done": true
  },
  "buildinggadgets2:recipes/misc/template_manager": {
    "criteria": {
      "has_paper": "2024-05-26 20:31:07 -0400"
    },
    "done": true
  },
  "enderio:recipes/misc/black_paper": {
    "criteria": {
      "has_ingredient": "2024-05-26 20:31:07 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cartography_table": {
    "criteria": {
      "has_paper": "2024-05-26 20:31:07 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/glass_pane": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/glass_bottle": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_stained_glass": {
    "criteria": {
      "has_glass": "2024-05-26 20:36:15 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_blue_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/magenta_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cyan_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2024-05-26 20:39:01 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_tin_plate": {
    "criteria": {
      "has_ore": "2024-05-26 20:47:32 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/blast_lead_dust": {
    "criteria": {
      "has_ore": "2024-05-26 21:24:07 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_lead_dust": {
    "criteria": {
      "has_ore": "2024-05-26 21:24:07 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/blast_lithium_ore": {
    "criteria": {
      "has_ore": "2024-05-26 21:29:34 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_lithium_ore": {
    "criteria": {
      "has_ore": "2024-05-26 21:29:34 -0400"
    },
    "done": true
  },
  "nuclearcraft:recipes/misc/blast_lithium_dust": {
    "criteria": {
      "has_ore": "2024-05-26 21:29:48 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_lithium_dust": {
    "criteria": {
      "has_ore": "2024-05-26 21:29:48 -0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_lamp": {
    "criteria": {
      "has_glowstone": "2024-05-28 16:57:29 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nuclearcraft_bronze_plate": {
    "criteria": {
      "has_ore": "2024-05-28 17:27:02 -0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/golden_carrot": {
    "criteria": {
      "has_gold_nugget": "2024-06-02 15:26:21 -0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_ingot_from_nuggets": {
    "criteria": {
      "has_gold_nugget": "2024-06-02 15:26:21 -0400"
    },
    "done": true
  },
  "sophisticatedbackpacks:recipes/misc/gold_backpack": {
    "criteria": {
      "has_iron_backpack": "2024-06-02 15:26:35 -0400"
    },
    "done": true
  },
  "DataVersion": 3465
}